//+------------------------------------------------------------------+
//|                                                  Alert Price.mq4 |
//|                                                         by Matsu |
//+------------------------------------------------------------------+

#property indicator_chart_window
extern string AlertUp="alert.wav";
extern string AlertDn="alert2.wav";

extern int Interval   = 10;
extern bool SpeechOn  = true;
int  UpperLevel       = 10000;
bool UpAlerted        = false;
bool DnAlerted        = false;
bool LevelSet         = false;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
      int LowerLevel = UpperLevel - Interval; 
      int CurrentLevel= Bid/Point;
      int Level;
      

      if (LevelSet==false)
      {
        UpperLevel = MathCeil((Bid/Point + (Interval))/10) *10;
        LowerLevel = UpperLevel - Interval;
        Comment("Upper Level: "+UpperLevel+";  Lower Level: "+LowerLevel);
        LevelSet=true; 
      }

      if (CurrentLevel > UpperLevel) 
      {
        if (UpAlerted==false)
        {
           if (SpeechOn)
           {
              Level = UpperLevel - MathFloor((Bid/Point)/100) *100;
              if (Level ==0)
              {
                 PlaySound("00.wav");
              }
              else
              {
                 PlaySound(""+Level+".wav");
              }
              
           }
           else
           {   
              PlaySound(AlertUp); 
           }
           
           
           UpAlerted = true;
           DnAlerted = false;
        }
        if (CurrentLevel - UpperLevel >=3)
        {
           UpperLevel= UpperLevel+Interval;
           LowerLevel= LowerLevel+Interval;
           UpAlerted = false;
           DnAlerted = false;
           if (SpeechOn)
           {
              PlaySound("Raised.wav");
           }
           Comment("Upper Level: "+UpperLevel+";  Lower Level: "+LowerLevel);
        }
      }
      else
      if (CurrentLevel < LowerLevel) 
      {
        if (DnAlerted==false)
        {
           if (SpeechOn)
           {
              Level = LowerLevel - MathFloor((Bid/Point)/100) *100;
              if (Level==100)
              { 
                 PlaySound("00.wav");
              }
              else
              {
                 PlaySound(""+Level+".wav");
              }
           }
           else
           {   
              PlaySound(AlertDn);
           }
           DnAlerted = true;
           UpAlerted = false;
        }
        if (LowerLevel - CurrentLevel >=3)
        {
           UpperLevel= UpperLevel-Interval;
           LowerLevel= LowerLevel-Interval;
           UpAlerted = false;
           DnAlerted = false;
           if (SpeechOn)
           {
              PlaySound("Lowered.wav");
           }
           Comment("Upper Level: "+UpperLevel+";  Lower Level: "+LowerLevel);
        }
      }
      
         


//----
   return(0);
  }
//+------------------------------------------------------------------+